# $Revision: 1.18 $, $Date: 2003/03/23 23:20:02 $
# conditional build
# _without_dist_kernel          without distribution kernel

%define         _orig_name      ip_wccp

Summary:	Kernel module for WCCP protocol
Summary(pl):	Modu kernela do obsugi protokou WCCP
Name:		kernel-net-%{_orig_name}
Version:	0.1
%define	_rel	12
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://www.squid-cache.org/WCCP-support/Linux/%{_orig_name}.c
%{!?_without_dist_kernel:BuildRequires:         kernel-headers}
BuildRequires:	%{kgcc_package}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WCCP protocol support for Linux.

%description -l pl
Wsparcie protokou WCCP dla Linuksa.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Kernel module for WCCP protocol
Summary(pl):	Modu kernela do obsugi protokou WCCP
Release:	%{_rel}@%{_kernel_ver_str}
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Group:		Base/Kernel
Prereq:		/sbin/depmod

%description -n kernel-smp-net-%{_orig_name}
WCCP protocol support for Linux SMP.

%description -n kernel-smp-net-%{_orig_name} -l pl
Wsparcie protokou WCCP dla Linuksa SMP.

%prep
%setup -q -T -c
install %{SOURCE0} .

%build
%{kgcc} -D__KERNEL__ -DMODULE -D__SMP__ -DCONFIG_X86_LOCAL_APIC -I%{_kernelsrcdir}/include -Wall \
	-Wstrict-prototypes -fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce \
	%{rpmcflags} -c %{_orig_name}.c

mv -f %{_orig_name}.o %{_orig_name}smp.o

%{kgcc} -D__KERNEL__ -DMODULE -I%{_kernelsrcdir}/include -Wall -Wstrict-prototypes \
	-fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce \
	%{rpmcflags} -c %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
cp %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
cp %{_orig_name}smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-net-ip_wccp.spec,v $
Revision 1.18  2003/03/23 23:20:02  blues
- release 12; rebuild with 2.2.25

Revision 1.17  2002/11/17 18:30:53  kloczek
- release 11: rebuild against kernel 2.2.22-6.

Revision 1.16  2002/09/30 15:55:43  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.15  2002/08/18 17:33:36  kloczek
- release 9: rebuild agaunst kernele 2.2.21.

Revision 1.14  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.13  2002/03/04 22:22:46  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.7.

Revision 1.12  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.11  2002/02/26 15:11:05  qboosh
- use %%kgcc macro

Revision 1.10  2002/02/26 13:03:23  qboosh
- use requires_releq_kernel_{up,smp} macros, BR: egcs, release 6

Revision 1.9  2002/02/23 21:23:58  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 5, STBR

Revision 1.8  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/11 01:36:46  kloczek
- adapterized.

Revision 1.6  2002/02/10 19:09:04  marcus
- rel.4 (for build with 2.2.20-10 and 2.4)

Revision 1.5  2002/01/30 12:08:11  misiek
- removed stupid limitations; release 3

Revision 1.4  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.3  2002/01/26 19:19:09  marcus
- rel 2
- build up and smp now

Revision 1.2  2002/01/18 02:13:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/08 19:19:03  misiek
- new
